Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## dioscuri.module.cpu32
Class CombiningRealCodeBlock

    java.lang.Object
      dioscuri.module.cpu32.CombiningRealCodeBlock

All Implemented Interfaces:
  CodeBlock, RealModeCodeBlock

    public class CombiningRealCodeBlock

extends java.lang.Object
implements RealModeCodeBlock

Author:
  Bram Lohman, Bart Kiers

Constructor Summary
`CombiningRealCodeBlock(CodeBlock block0, CodeBlock block1, CodeBlock block2, int start, int jumpSize)`

Method Summary
`int` | `execute(Processor cpu)` Returns the number of equivalent x86 instructions executed.
`java.lang.String` | `getDisplayString()`
`int` | `getX86Count()`
`int` | `getX86Length()`
`boolean` | `handleMemoryRegionChange(int startAddress, int endAddress)`
`void` | `invalidate()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CombiningRealCodeBlock

    public CombiningRealCodeBlock(CodeBlock block0,
                                  CodeBlock block1,
                                  CodeBlock block2,
                                  int start,
                                  int jumpSize)

Parameters:
  `block0` -
  `block1` -
  `block2` -
  `start` -
  `jumpSize` -

Method Detail

### getX86Length

    public int getX86Length()

  Specified by:
    `getX86Length` in interface `CodeBlock`
  Returns:
    -

### getX86Count

    public int getX86Count()

  Specified by:
    `getX86Count` in interface `CodeBlock`
  Returns:
    -

### invalidate

    public void invalidate()

### execute

    public int execute(Processor cpu)

  Description copied from interface: `CodeBlock`
  Returns the number of equivalent x86 instructions executed. Negative results indicate an error

  Specified by:
    `execute` in interface `CodeBlock`
  Returns:
    the number of equivalent x86 instructions executed. Negative results indicate an error

### handleMemoryRegionChange

    public boolean handleMemoryRegionChange(int startAddress,
                                            int endAddress)

  Specified by:
    `handleMemoryRegionChange` in interface `CodeBlock`
  Parameters:
    `startAddress` -
    `endAddress` -
  Returns:
    -

### getDisplayString

    public java.lang.String getDisplayString()

  Specified by:
    `getDisplayString` in interface `CodeBlock`
  Returns:
    -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD